当前位置: 首页 > 工具软件 > RhinoScript > 使用案例 >

rhinoscriptsyntax库AddPoint 和 PointAdd

宋洲
2023-12-01

AddPoint

AddPoint(point, y=None, z=None)
Adds point object to the document.
Parameters:
point (point): a point3d or list(x,y,z) location of point to add
Returns:
guid: identifier for the object that was added to the doc
Example:
import rhinoscriptsyntax as rs
rs.AddPoint( (1,2,3) )

PointAdd
添加一个三维点或三维向量到一个三维点

PointAdd(point1, point2)
Adds a 3D point or a 3D vector to a 3D point
Parameters:
point1, point2 (point): the points to add
Returns:
point: the resulting 3D point if successful
Example:
import rhinoscriptsyntax as rs
point1 = (1,1,1)
point2 = (2,2,2)
point = rs.PointAdd(point1, point2)
print point
 类似资料: